<?php
// $Id: uts.help.inc,v 1.8 2008/08/17 00:41:49 boombatower Exp $
/**
 * @file
 * Provide help text for Usability Testing Suite.
 *
 * Copyright 2008 by Jimmy Berry ("boombatower", http://drupal.org/user/214218)
 */

/**
 * Implementation of hook_help().
 */
function uts_help($path, $arg) {
  switch ($path) {
    case 'admin/help#uts':
      return t('<p>
                  For step-by-step instructions on how to setup a usability study see
                  <a href="@uts_admin">usability testing suite admin</a> page. If you plan on collaborating in
                  creating a study definition make sure you give permission to all the user that will be involved.
                 </p>
                 <p>
                   All plug-ins that you want to use on a study must be enabled to show up in the list when creating/editting
                   a study. Plug-ins are displayed on the <a href="@modules">modules</a> page under the group heading
                   <i>Usability testing suite - plugins</i>.
                 </p>
                 <p>
                   Any bugs, questions, or concerns should be placed in the
                   <a href="http://drupal.org/project/issues/uts">Usability Testing Suite issue queue</a>.
                 </p>', array('@uts_admin' => url('admin/uts'),
                              '@modules' => url('admin/build/modules')));
    case 'admin/uts':
      return t('<p>
                  In order to perform a usability study you must perform the following steps.
                  <ol>
                    <li><a href="@create_study">Create a study</a> that will contain tasks and analysis data. To do so
                      click <a href="@studies">studies</a> then <i>add</i>.</li>
                    <li><a href="@add_tasks">Add tasks</a> to the study you just created. This can be done by going to the
                      <a href="@studies">studies</a> page and clicking <i>manage studies</i> and then <i>add</i>. Otherwise
                      you can click <i>add task</i> when viewing a study node.</li>
                    <li>Edit the study you created a set the <i>status</i> to <i>active</i>. The study should now display on
                        the <a href="@participation">participation</a> page.</li>
                  </ol>
                </p>
                <p>
                  Participants will then be able to participate in the study and data will be collected and related to their
                  session. You can then <a href="@analyze">analyze</a> the data for a particular study or session.
                </p>
                <p>
                  Once the maximum number of participants has been reached the study will automatically be closed and no further
                  sessions will be allowed to open. You can manual close the study at any time by changing the <i>status</i> to
                  <i>closed</i>.
                </p>', array('@create_study' => url('admin/uts/studies/add'),
                             '@studies' => url('admin/uts/studies'),
                             '@add_tasks' => url('admin/uts/tasks/add'),
                             '@participation' => url('uts'),
                             '@analyze' => url('admin/uts/analyze')));
    case 'admin/uts/analyze':
      return t('<p>
                  Studies that are marked as <em>active</em> or <em>closed</em> and have completed sessions will be displayed below.
                  After selecting a study to analyze you will be presented with the analysis display.
                </p>');
    case 'admin/uts/environments':
      return t('<p>
                  Environments are used as the basis for the environment a participant will start with when beginning a study.
                  You can setup the environment how it bests fits the study. Once you have created an environment you can
                  <i>open</i> the environment and login as the super user using the username and password specified on the
                  <a href="@configuration">configuration</a> page
                </p>',
                array('@configuration' => url('admin/uts/configuration')));
    case 'admin/uts/invite':
      return t('<p>
                  The message to be sent can be modified on the <a href="@configuration">configuration</a> page.
                </p>',
                array('@configuration' => url('admin/uts/configuration')));
    case 'uts':
      return t('<p>
                  The usability testing suite provides a way for a user experience to be
                  recorded and analysed. This is done with the help of participants who take
                  part in studies by completing tasks. The results of which are recorded
                  and analysed for usability isues that need fixing.
                </p>
                <p>
                  If you are willing to participate and/or have been contacted to take part
                  in a study please procede in selecting a study.
                </p>');
  }
}
